PHP 7 Support for Swig

Dear lazyweb,

We have a statistically significant number of enthusiasts interested in getting Kolab available for Ubuntu 16.04 (Xenial), but it ships with PHP 7 — and PHP 7 only, it appears.

We use Swig to generate PHP and Python and other bindings for the two C++ libraries libkolab and libkolabxml.

Swig appears to, not yet, support generating these bindings for PHP 7, however. The lovely people over at Ubuntu-building HQ must have considered this irrelevant, but it effectively renders Kolab or even just our Calendar and Tasks plugin to Roundcube unavailable for the new LTS release.

This is a kind request to the coders of this world capable of rendering an acceptable patch to submit upstream, …

Or a request to capable packagers to re-introduce a PHP 5 or even a PHP 6 stack to Ubuntu 16.04, …

Or an announcement that I’m going to have to drop Ubuntu completely until at last this blocker is lifted.

Kind regards,

Jeroen van Meeuwen

Advertisements

2 thoughts on “PHP 7 Support for Swig

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s